//*****************************************************************************
//                                Version.hpp                                 *
//                               -------------                                *
//  Description : Version specifier for the GNU Spice GUI application.        *
//  Started     : 15/08/2003                                                  *
//  Last Update : Refer below                                                 *
//  Copyright   : (C) 2003 by MSWaters                                        *
//  Email       : M.Waters@bom.gov.au                                         *
//*****************************************************************************

//*****************************************************************************
//                                                                            *
//    This program is free software; you can redistribute it and/or modify    *
//    it under the terms of the GNU General Public License as published by    *
//    the Free Software Foundation; either version 2 of the License, or       *
//    (at your option) any later version.                                     *
//                                                                            *
//*****************************************************************************

#ifndef VERSION_HPP
#define VERSION_HPP

#define  APP_NAME     wxT("GNU Spice GUI")
#define  APP_VERSION  wxT("Version 0.8.90 Alpha (24/10/2006)")

#endif // VERSION_HPP

//*****************************************************************************
// THINGS TO DO:
//
// (05/08/2004) When errors encountered during simulation send the simulator
//              output to the console text control.
// (18/10/2004) Change storage type of simulation class attributes to wxString.
// (21/04/2005) Convert Ng-Spice phase results from radians to degrees.
// (21/04/2005) Remove the discontinuity at 360 degrees from the phase results
//              for Ng-Spice and GNU-Cap.
// (21/04/2005) Could an existing opamp symbols used in schematics instead of
//              my opamp-3.sym?
// (22/04/2005) When simulator changed select closest analysis panel in new
//              simulator notebook.
// (24/11/2005) The frames close box is disabled because it doesn't call
//              FrmMain::OnExit( ) followed by AppGSpiceUI::OnExit( ) as does 
//              the File->Exit menu option. Only AppGSpiceUI::OnExit( ) called.
// (31/01/2006) While performing a simulation if the gSpiceUI GUI is corrupted
//              it isn't redrawn until after the simulation is complete. Need
//              wxYield statements in appropriate places to allow the GUI to be
//              updated.
// (24/10/2006) If simulator set to GNU-Cap and an NG-Spice circuit decription
//              opened the display format breaks.
//*****************************************************************************
// GnuCAP:
//
// (29/03/2004) The PRINT command doesn't produce a label for the independent
//              parameter ie. temperature or OP, voltage for DC.
// (20/04/2005) In the AC analysis the following source line is not interpreted
//              correctly: "Vin 2 3 GENERATOR(1) AC 100.00m". The AC magnitude
//              "100.00m" is not interpreted as "0.1"; replace it with "0.1"
//              and everything works OK.
// (21/04/2005) At times the first result line from a DC analysis is clearly
//              incorrect.
//*****************************************************************************
// NG-Spice:
//
// (16/08/2004) A PRINT argument of the form of V(n,0) is permitted for DC
//              analysis but is not accepted for AC analysis.
//*****************************************************************************
// GWave:
//
// (29/03/2004) GWave can't handle the banner that GnuCAP includes in it's
//              output.
//*****************************************************************************
// GNetList:
//
// (12/04/2005) When schem. file imported via command line "gnetlist.log" left
//              in gspice bin directory. When schem. file imported via GUI
//              "gnetlist.log" left in schematic directory.
// (19/07/2005) If a relative model file path specified in schematic file the
//              path is regarded as relative to the CWD not the schematic file
//              path which would be more logical.
//*****************************************************************************
// wxWindows Library Bugs:
//
// (17/11/2003) v2.4.1: In class wxFileDialog wildcards can only be set in the
//                      constructor. The method SetWildcard( ) is not properly
//                      implemented. See constructor in src/generic/filedlgg.cpp
//                      and set method in include/wx/generic/filedlgg.h.
// (13/08/2004) v2.4.2: In class wxFileDialog styles can only be set in the
//                      constructor. The method SetStyle( ) does notthing.
// (04/02/2004) v2.4.2: The class wxFileName has a function SetPath( ) which is
//                      not documented.
// (19/02/2004) v2.4.2: In the class wxSpinCtrl when using SetValue( (int) 0 )
//                      for initialization the spin control is left blank.
// (21/02/2004) v2.4.2: In the class wxTextFile function IsOpened( ) returns
//                      TRUE after Open( ) but FALSE after Create( ).
// (16/06/2004) v2.4.2: Undocumented function in class wxFileName -> SetPath( ).
// (18/09/2004) v2.5.2: In the class wxTextCtrl style setting wxTE_RIGHT is
//                      ignored in Create( ) function.
// (01/10/2004) v2.5.2: No mention of wxControl constructor in documentation.
// (06/04/2005) v2.5.2: When the wxFrame is resized wxStatusBar isn't.
// (12/04/2005) v2.5.4: "make uninstall" does nothing.
//*****************************************************************************
