//*****************************************************************************
//                                DlgPrefs.cpp                                *
//                               --------------                               *
//  Started     : 17/10/2006                                                  *
//  Last Update : 17/10/2006                                                  *
//  Copyright   : (C) 2006 by M.S.Waters                                      *
//  Email       : M.Waters@bom.gov.au                                         *
//*****************************************************************************

//*****************************************************************************
//                                                                            *
//    This program is free software; you can redistribute it and/or modify    *
//    it under the terms of the GNU General Public License as published by    *
//    the Free Software Foundation; either version 2 of the License, or       *
//    (at your option) any later version.                                     *
//                                                                            *
//*****************************************************************************

#include "main/DlgPrefs.hpp"

//*****************************************************************************
// Implement an event table.

BEGIN_EVENT_TABLE( DlgPrefs, wxDialog )

  EVT_BUTTON( ID_BTN_OK,     DlgPrefs::OnBtnOk     )
  EVT_BUTTON( ID_BTN_CANCEL, DlgPrefs::OnBtnCancel )

END_EVENT_TABLE( )

//*****************************************************************************
// Constructor.
//
// Argument List:
//   poWin - A pointer to the dialog parent window

DlgPrefs::DlgPrefs( wxWindow * poWin ) : wxDialog( poWin, -1, wxT(""),
    wxDefaultPosition, wxDefaultSize, wxDEFAULT_DIALOG_STYLE, wxDialogNameStr )
{
  SetTitle( wxT(" Preferences") );
  Initialize( );
  bClear( );
}

//*****************************************************************************
// Destructor.

DlgPrefs::~DlgPrefs( )
{
}

//*****************************************************************************
// Initialize object attributes.

void  DlgPrefs::Initialize( void )
{
  wxPanel * poPnlPrefs, * poPnlBtns;

  // Create the necessary panel objects
  poPnlPrefs = new wxPanel( this );
  poPnlBtns  = new wxPanel( this );

  // ???

  // Create the buttons
  m_oBtnOk    .Create( poPnlBtns, ID_BTN_OK,     wxT("OK") );
  m_oBtnCancel.Create( poPnlBtns, ID_BTN_CANCEL, wxT("Cancel") );

  // Layout the of the display objects
  DoLayout( );
}

//*****************************************************************************
// Layout the dialog display objects.

void  DlgPrefs::DoLayout( void )
{
  wxSizer * poSzrDlg, * poSzrPrefs, * poSzrBtns;
  wxPanel * poPnlPrefs, * poPnlBtns;
  wxSizerFlags  oFlags;

  // Create the necessary panels and associated sizers
  poPnlBtns   = (wxPanel *) m_oBtnOk    .GetParent( );
  poSzrDlg    = new wxBoxSizer( wxVERTICAL );
  poSzrBtns   = new wxBoxSizer( wxHORIZONTAL );
               SetSizer( poSzrDlg );
  poPnlBtns  ->SetSizer( poSzrBtns );

  // Add the panel containing the buttons
  oFlags.Align( wxALIGN_CENTER );
  oFlags.Border( wxTOP | wxLEFT | wxRIGHT, 10 );
  poSzrBtns->Add( &m_oBtnOk,     oFlags );
  poSzrBtns->AddSpacer( 10 );
  poSzrBtns->Add( &m_oBtnCancel, oFlags );
  poSzrBtns->SetSizeHints( poPnlBtns );

  // Put it all together
//  oFlags.Align( wxALIGN_TOP ); ???
//  oFlags.Border( wxALL, 0 );
//  poSzrDlg->Add( poPnl1, oFlags );
  oFlags.Align( wxALIGN_CENTER_HORIZONTAL | wxALIGN_BOTTOM );
  oFlags.Border( wxTOP, 42 );
  poSzrDlg->Add( poPnlBtns, oFlags );
  poSzrDlg->SetSizeHints( this );
}

//*****************************************************************************
// Set the values in the spin controls from temporary storage.

void  DlgPrefs::SetValues( void )
{
  SetEvtHandlerEnabled( FALSE );

  // ???

  SetEvtHandlerEnabled( TRUE );
}

//*****************************************************************************
// Get the values from the spin controls and put them in temporary storage.
                      
void  DlgPrefs::GetValues( void )
{
  SetEvtHandlerEnabled( FALSE );

  // ???

  SetEvtHandlerEnabled( TRUE );
}

//*****************************************************************************
// Reset all dialog settings to defaults.
//
// Return Values:
//   TRUE  - Success
//   FALSE - Failure

bool  DlgPrefs::bClear( void )
{
  SetValues( );

  return( TRUE );
}

//*****************************************************************************
//
//                             Event Handlers
//
//*****************************************************************************
// Ok button event handler.
//
// Argument List:
//   roEvtCmd - An object holding information about the event (not used)

void  DlgPrefs::OnBtnOk( wxCommandEvent & roEvtCmd )
{
  GetValues( );
  EndModal( wxID_OK );
}

//*****************************************************************************
// Cancel button event handler.
//
// Argument List:
//   roEvtCmd - An object holding information about the event (not used)

void  DlgPrefs::OnBtnCancel( wxCommandEvent & roEvtCmd )
{
  SetValues( );
  EndModal( wxID_CANCEL );
}

//*****************************************************************************
